using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using MySql.Data.MySqlClient;
using Syncfusion.Grouping;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindGrid();
        }
    }

    public void BindGrid()
    {
        string conninfo = ConfigurationManager.ConnectionStrings["LocalMySql"].ConnectionString;
        using (MySqlConnection con = new MySqlConnection(conninfo))
        {
            con.Open();
            MySqlCommand cmd = new MySqlCommand("select * from student", con);
            DataSet ds = new DataSet();
            MySqlDataAdapter da = new MySqlDataAdapter(cmd);
            da.Fill(ds, "student");
            GridGroupingControl1.DataSource = ds.Tables["student"].DefaultView;
            cmd.Connection.Close();
        }

    }    
}
